/* Primitivos */
:root {
  /* Value */
  /* color */
  --color-amber-10: #fff7e7;
  --color-amber-100: #553900;
  --color-amber-20: #ffe9bd;
  --color-amber-30: #ffdc93;
  --color-amber-40: #ffce6a;
  --color-amber-50: #ffc040;
  --color-amber-60: #f8ae15;
  --color-amber-70: #cf8c02;
  --color-amber-80: #a67000;
  --color-amber-90: #7e5500;

  --color-blue-10: #f0f4ff;
  --color-blue-100: #061646;
  --color-blue-20: #cfdbff;
  --color-blue-30: #aec3ff;
  --color-blue-40: #8caaff;
  --color-blue-50: #6589f0;
  --color-blue-60: #496bce;
  --color-blue-70: #3151ac;
  --color-blue-80: #1e3a8a;
  --color-blue-90: #102668;

  --color-brown-10: #fffbfa;
  --color-brown-100: #573f3a;
  --color-brown-20: #ffeae5;
  --color-brown-30: #ffd8d0;
  --color-brown-40: #f0c7bf;
  --color-brown-50: #d6aea6;
  --color-brown-60: #bc968e;
  --color-brown-70: #a37f77;
  --color-brown-80: #896862;
  --color-brown-90: #70534d;

  --color-cyan-10: #f2ffff;
  --color-cyan-100: #015959;
  --color-cyan-20: #daffff;
  --color-cyan-30: #c2ffff;
  --color-cyan-40: #aaffff;
  --color-cyan-50: #92ffff;
  --color-cyan-60: #79fcfc;
  --color-cyan-70: #4dd3d3;
  --color-cyan-80: #2aabab;
  --color-cyan-90: #118282;

  --color-green-10: #f4fff7;
  --color-green-100: #145325;
  --color-green-20: #daffe4;
  --color-green-30: #c1ffd2;
  --color-green-40: #a8ffc0;
  --color-green-50: #8efdac;
  --color-green-60: #6ddb8b;
  --color-green-70: #50b96d;
  --color-green-80: #389752;
  --color-green-90: #24753a;

  --color-indigo-10: #f6f8ff;
  --color-indigo-100: #272e4b;
  --color-indigo-20: #dde3ff;
  --color-indigo-30: #c4ceff;
  --color-indigo-40: #a8b6fa;
  --color-indigo-50: #8f9ddd;
  --color-indigo-60: #7784c0;
  --color-indigo-70: #616da3;
  --color-indigo-80: #4c5686;
  --color-indigo-90: #394269;

  --color-neutro-0: #ffffff;
  --color-neutro-10: #ebebeb;
  --color-neutro-100: #333333;
  --color-neutro-20: #d6d6d6;
  --color-neutro-30: #c2c2c2;
  --color-neutro-40: #adadad;
  --color-neutro-50: #999999;
  --color-neutro-60: #858585;
  --color-neutro-70: #707070;
  --color-neutro-80: #5c5c5c;
  --color-neutro-90: #474747;

  --color-orange-10: #fff4e5;
  --color-orange-100: #5c3400;
  --color-orange-20: #ffe0b7;
  --color-orange-30: #ffcc8a;
  --color-orange-40: #ffb85c;
  --color-orange-50: #ffa42e;
  --color-orange-60: #ff9000;
  --color-orange-70: #d67900;
  --color-orange-80: #ad6200;
  --color-orange-90: #854b00;

  --color-red-10: #ffeaea;
  --color-red-100: #470000;
  --color-red-20: #ffc6c6;
  --color-red-30: #ffa1a1;
  --color-red-40: #ff7c7c;
  --color-red-50: #ff5858;
  --color-red-60: #eb2f2f;
  --color-red-70: #c21313;
  --color-red-80: #990000;
  --color-red-90: #700000;

  --color-violet-10: #f2f3ff;
  --color-violet-100: #111440;
  --color-violet-20: #cccfff;
  --color-violet-30: #a4a9fc;
  --color-violet-40: #777fef;
  --color-violet-50: #6068d2;
  --color-violet-60: #4c53b5;
  --color-violet-70: #3a4098;
  --color-violet-80: #2a2f7b;
  --color-violet-90: #1c215e;

  --color-yellow-10: #fffae8;
  --color-yellow-100: #554200;
  --color-yellow-20: #ffefb5;
  --color-yellow-30: #ffe381;
  --color-yellow-40: #ffd84e;
  --color-yellow-50: #ffcd1b;
  --color-yellow-60: #ddaf0a;
  --color-yellow-70: #bb9200;
  --color-yellow-80: #997700;
  --color-yellow-90: #775d00;

  /* Tokens */
  /* Light Mode */
  /* color */

  --surface-contrast: var(--color-neutro-30);
  --surface-contrast-heavy: var(--color-neutro-50);
  --surface-contrast-heavy-l: var(--color-neutro-70);
  --surface-contrast-light: var(--color-neutro-20);
  --surface-invert: var(--color-neutro-100);
  --surface-primary: var(--color-neutro-10);
  --surface-secondary: var(--color-neutro-0);
  --surface-secondary-10: #ffffff1a;

  --surface-brand-primary-default: var(--color-orange-60);
  --surface-brand-primary-heavy: var(--color-orange-70);
  --surface-brand-primary-heavy-l: var(--color-orange-80);
  --surface-brand-primary-lighter: var(--color-orange-50);
  --surface-brand-primary-lighter-l: var(--color-orange-40);
  --surface-brand-primary-lighter-xl: var(--color-orange-30);
  --surface-brand-secondary-default: var(--color-blue-70);
  --surface-brand-secondary-heavy: var(--color-blue-80);
  --surface-brand-secondary-heavy-l: var(--color-blue-90);
  --surface-brand-secondary-heavy-xl: var(--color-blue-100);
  --surface-brand-secondary-lighter: var(--color-blue-60);
  --surface-brand-secondary-lighter-l: var(--color-blue-50);
  --surface-brand-secondary-lighter-xl: var(--color-blue-40);
  --surface-brand-secondary-lighter-xxl: var(--color-blue-30);

  --componentes-button-inactive: var(--color-neutro-20);
  --componentes-button-neutral: var(--color-neutro-0);
  --componentes-button-neutral-hover: var(--color-neutro-20);
  --componentes-button-neutral-pressed: var(--color-neutro-40);

  --componentes-button-primary-default: var(--surface-brand-primary-default);
  --componentes-button-primary-hover: var(--surface-brand-primary-heavy);
  --componentes-button-primary-pressed: var(--surface-brand-primary-heavy-l);
  --componentes-button-secondary-default: var(--surface-brand-secondary-default);

  --componentes-button-secondary-hover: var(--surface-brand-secondary-heavy);
  --componentes-button-secondary-pressed: var(--surface-brand-secondary-heavy-xl);

  --componentes-button-sucess-default: var(--color-green-80);
  --componentes-button-sucess-hover: var(--color-green-90);
  --componentes-button-sucess-pressed: var(--color-green-100);
  --componentes-button-w-icon-10-primary: var(--surface-secondary);
  --componentes-button-w-icon-10-primary-10: var(--surface-secondary-10);
  --componentes-button-w-icon-10-primary-10-hover: #ffffff4d;
  --componentes-button-w-icon-10-primary-hover: var(--surface-contrast-light);
  --componentes-dropdown-primary: var(--surface-secondary);
  --componentes-dropdown-primary-hover-stroke: var(--surface-brand-primary-heavy-l);

  --componentes-dropdown-primary-item: var(--surface-secondary);
  --componentes-dropdown-primary-item-hover: var(--surface-contrast-light);
  --componentes-dropdown-primary-pressed: var(--surface-brand-primary-heavy-l);
  --componentes-dropdown-secondary: var(--surface-primary);
  --componentes-filterbutton-blog-tag: var(--surface-brand-secondary-default);
  --componentes-filterbutton-primary: var(--color-neutro-0);
  --componentes-filterbutton-primary-hover: var(--color-neutro-20);
  --componentes-inputfield-inactive: var(--componentes-button-inactive);
  --componentes-inputfield-primary: var(--surface-secondary);
  --componentes-inputfield-primary-pressed: var(--surface-brand-primary-heavy-l);

  --componentes-inputfield-secondary: var(--surface-primary);
  --componentes-progressbar-active: var(--surface-secondary);
  --componentes-progressbar-inactive: var(--surface-contrast);
  --icons-invert: var(--color-neutro-0);
  --icons-muted: var(--color-neutro-70);
  --icons-primary: var(--color-neutro-100);
  --state-error: var(--color-red-70);
  --state-sucess: var(--color-green-70);
  --state-warning: var(--color-yellow-50);

  --text-contrast: var(--color-neutro-70);
  --text-hover: var(--surface-brand-primary-lighter-xl);
  --text-hover-blue: var(--surface-brand-secondary-lighter-xxl);
  --text-invert: var(--color-neutro-0);
  --text-lighter: var(--color-neutro-50);
  --text-lighter-l: var(--color-neutro-30);
  --text-muted: var(--color-neutro-70);
  --text-primary: var(--color-neutro-100);
  --text-secondary: var(--color-neutro-90);

  /*TIPOGRAFIA*/
  --font-family-title: "Inter", sans-serif;
  --font-family-body: "Work Sans", sans-serif;

  --font-weight-light: 300;
  --font-weight-regular: 400;
  --font-weight-medium: 500;
  --font-weight-semibold: 600;

  --font-size-display: 61px;
  --font-size-h1: 49px;
  --font-size-h2: 39px;
  --font-size-h3: 31px;
  --font-size-h4: 25px;
  --font-size-h5: 20px;
  --font-size-body: 16px;
  --font-size-overline: 13px;
  --font-size-caption: 12px;

  --line-height-xs: 16px;
  --line-height-s: 20px;
  --line-height-sm: 24px;
  --line-height-md: 32px;
  --line-height-lg: 40px;
  --line-height-xl: 48px;
  --line-height-2xl: 56px;
  --line-height-3xl: 64px;
  --line-height-4xl: 72px;

  /* Tablet @768px */
  /* number */
  /*
  --font-line-height-xs: 16px;
  --font-line-height-sm: 24px;
  --font-line-height-md: 28px;
  --font-line-height-lg: 32px;
  --font-line-height-xl: 40px;
  --font-line-height-2xl: 48px;
  --font-line-height-3xl: 56px;
  --font-line-height-4xl: 64px;

  --font-size-caption: 12px;
  --font-size-overline: 12px;
  --font-size-body: 15px;
  --font-size-subtitle-h5: 18px;
  --font-size-title-h4: 22px;
  --font-size-h3: 26px;
  --font-size-h2: 32px;
  --font-size-h1: 40px;
  --font-size-display: 48px; */

  /* Mobile @375px */
  /* number */

  /*
  --font-line-height-xs: 14px;
  --font-line-height-sm: 20px;
  --font-line-height-md: 24px;
  --font-line-height-lg: 28px;
  --font-line-height-xl: 32px;
  --font-line-height-2xl: 40px;
  --font-line-height-3xl: 48px;
  --font-line-height-4xl: 56px;

  --font-size-caption: 11px;
  --font-size-overline: 12px;
  --font-size-body: 14px;
  --font-size-subtitle-h5: 17px;
  --font-size-title-h4: 20px;
  --font-size-h3: 22px;
  --font-size-h2: 28px;
  --font-size-h1: 32px;
  --font-size-display: 36px;
*/
}

html {
  background-color: var(--surface-primary);
  scroll-behavior: smooth;
}

/* RESET BÁSICO */
h1,
h2,
h3,
h4,
h5,
h6,
p,
span,
small,
input,
select,
textarea {
  margin: 0;
  /* color: var(--text-default); */
}

:root {
  --font-family-title: "Inter", sans-serif;
  --font-family-body: "Work Sans", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: var(--text-primary);
}

/* TEXT SIZE */

h1 {
  font-family: var(--font-family-title);
  font-size: var(--font-size-h1);
  line-height: var(--line-height-2xl);
  font-weight: var(--font-weight-semibold);
}

h2 {
  font-family: var(--font-family-title);
  font-size: var(--font-size-h2);
  line-height: var(--line-height-xl);
  font-weight: var(--font-weight-semibold);
}

h3 {
  font-family: var(--font-family-title);
  font-size: var(--font-size-h3);
  line-height: var(--line-height-lg);
  font-weight: var(--font-weight-medium);
}

h4 {
  font-family: var(--font-family-title);
  font-size: var(--font-size-h4);
  line-height: var(--line-height-md);
  font-weight: var(--font-weight-medium);
}

h5 {
  font-family: var(--font-family-body);
  font-size: var(--font-size-h5);
  line-height: var(--line-height-sm);
  font-weight: var(--font-weight-medium);
}

p,
span,
select {
  font-family: var(--font-family-body);
  font-size: var(--font-size-body);
  line-height: var(--line-height-sm);
  font-weight: var(--font-weight-regular);
}

.body-md-bold {
  font-family: var(--font-family-body);
  font-size: var(--font-size-body);
  line-height: var(--line-height-sm);
  font-weight: var(--font-weight-medium);
}

/* OVERLINE */
.overline {
  font-family: var(--font-family-body);
  font-size: var(--font-size-overline);
  line-height: var(--line-height-xs);
  font-weight: var(--font-weight-semibold);
  text-transform: uppercase;
  letter-spacing: 1px;
}

/* CAPTION */
.caption,
small {
  font-family: var(--font-family-body);
  font-size: var(--font-size-caption);
  line-height: var(--line-height-xs);
  font-weight: var(--font-weight-regular);
  letter-spacing: 0.5px;
}

/* TEXT COLOR */
.txt-white {
  color: var(--text-invert);
}


/* MISC */

.pointer {
  cursor: pointer;
}

.semibold {
  font-weight: 500;
}

.hidden {
  display: none;
}

.hidden-M {
  display: flex;
}

.hidden-D {
  display: none !important;
}

.svgXXL-tablet-mobile {
  display: none;
}


.d-none {
  display: none !important;
}


/* BUTTONS */

.btn-primary-cta {
  display: flex;
  padding: 16px 24px;
  justify-content: center;
  align-items: center;
  gap: 16px;

  border-radius: 16px;
  background: var(--componentes-button-primary-default);
  border: none;
}

.btn-primary {
  display: flex;
  padding: 8px 24px;
  justify-content: center;
  align-items: center;
  gap: 16px;

  border-radius: 8px;
  background: var(--componentes-button-primary-default);
  border: none;
}

.btn-primary:hover,
.btn-primary-cta:hover {
  background: var(--componentes-button-primary-hover);
  cursor: pointer;
}


.btn-secondary-cta {
  z-index: 1;
  display: flex;
  width: fit-content;
  padding: 16px 24px;
  justify-content: center;
  align-items: center;
  gap: 16px;

  border-radius: 16px;
  background: var(--componentes-button-secondary-default);
  border: none;

  h1,
  h2,
  h3,
  h4,
  h5 {
    color: var(--text-invert);
  }

}

.btn-secondary:hover,
.btn-secondary-cta:hover {
  background: var(--componentes-button-secondary-hover);
}

.btn-secondary {}


.btn-pagination {
  display: flex;
  padding: 8px 24px;
  justify-content: center;
  align-items: center;
  gap: 16px;
  align-self: stretch;

  border-radius: 8px;
  background: var(--surface-secondary);
  cursor: pointer;

  h5,
  h4 {
    color: var(--componentes-button-secondary-default);
  }
}

.disable {
  background: var(--componentes-button-inactive);

  h5,
  h4 {
    color: var(--text-muted);
  }
}


/***** BUTTON TEXT SIZE *****/

.xl {
  font-weight: 400;

  h5 {
    /* TABLET SIZE TEXT */
    font-size: 18px;
    line-height: 24px;
  }
}

.l {
  h5 {
    /* MOBILE SIZE TEXT */
    font-size: 17px;
    line-height: 24px;
  }
}

.xl-cta {
  font-weight: 600;

  h4 {
    /* TABLET SIZE TEXT */
    font-size: 22px;
    line-height: 28px;
  }
}

.l-cta {
  h4 {
    /* MOBILE SIZE TEXT */
    font-size: 20px;
    line-height: 24px;
  }
}

/***************************************/
/*********** RESPONSIVIDADE ************/
/***************************************/



/***** TEXT SIZE *****/
/*****  TABLET *******/

@media (max-width: 1152px) {

  h1 {
    font-size: 40px;
    line-height: 48px;
  }

  h2 {
    font-size: 32px;
    line-height: 40px;
  }

  h3 {
    font-size: 26px;
    line-height: 32px;
  }

  h4 {
    font-size: 22px;
    line-height: 28px;
  }

  h5 {
    font-size: 18px;
    line-height: 24px;
  }

  p,
  span,
  select {
    font-size: 15px;
    line-height: 20px;
  }

  .body-md-bold {
    font-size: 15px;
    line-height: 20px;
  }

  /* OVERLINE */
  .overline {
    font-size: 12px;
    line-height: 16px;
  }

  /* CAPTION */
  .caption,
  small {
    font-size: 12px;
    line-height: 16px;
  }

  .xl h5 {
    /* MOBILE SIZE TEXT */
    font-size: 17px;
    line-height: 24px;
  }

  .l h5 {
    /* <P> DESKTOP SIZE TEXT */
    font-size: 16px;
    line-height: 20px;

  }

  .xl-cta h4 {
    /* MOBILE SIZE TEXT */
    font-size: 20px;
    line-height: 24px;
  }


  .l-cta h4 {
    /* <h5> DESKTOP SIZE TEXT */
    font-size: 20px;
    line-height: 28px;
  }

  .svgXXL-tablet-mobile {
    display: inline-flex;
  }

  .svgXXL-desktop {
    display: none;
  }

}

/* MOBILE */

@media (max-width: 768px) {

  h1 {
    font-size: 32px;
    line-height: 40px;
  }

  h2 {
    font-size: 28px;
    line-height: 32px;
  }

  h3 {
    font-size: 22px;
    line-height: 28px;
  }

  h4 {
    font-size: 20px;
    line-height: 24px;
  }

  h5 {
    font-size: 17px;
    line-height: 20px;
  }

  p,
  span,
  select {
    font-size: 14px;
    line-height: 20px;
  }

  .body-md-bold {
    font-size: 14px;
    line-height: 20px;
  }

  /* OVERLINE */
  .overline {
    font-size: 11px;
    line-height: 14px;
  }

  /* CAPTION */
  .caption,
  small {
    font-size: 11px;
    line-height: 14px;
  }

  .xl h5 {
    /* <p> DESKTOP SIZE TEXT */
    font-size: 16px;
    line-height: 20px;
  }

  .l h5 {
    /* <P> TABLET SIZE TEXT */
    font-size: 15px;
    line-height: 20px;

  }

  .xl-cta h4 {
    /* <h5> DESKTOP SIZE TEXT */
    font-size: 20px;
    line-height: 28px;
  }


  .l-cta h4 {
    /* <h5> TABLET SIZE TEXT */
    font-size: 18px;
    line-height: 24px;
  }

}